Bug 982549 - "--" is not permitted for app alias name.
"--" is not permitted for app alias name.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 05:31 EDT by Qiushui Zhang
Modified: 2015-05-14 20:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_3470
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:23:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-07-09 05:31:38 EDT
Description of problem:
When trying to add an alias name containing "--", it will result in "Invalid Server Alias 'www.aa--bb.com' specified"

Version-Release number of selected component (if applicable):
devenv_3463

How reproducible:
Always

Steps to Reproduce:
1. Create an app
2. Try to add an alias name containing "--"


Actual results:
An error message pops up, saying "Invalid Server Alias 'Invalid Server Alias 'www.aa--bb.com' specified'"

Expected results:
Alias name should be added successfully.

Additional info:
According to Bug 975586, "--" should be accepted for an alias name.
Comment 1 Abhishek Gupta 2013-07-09 16:08:01 EDT
Fixed with https://github.com/openshift/origin-server/pull/3018
Comment 2 openshift-github-bot 2013-07-09 17:26:28 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d205b0d66cc2ff5e27dc9b7c13657e973e50c40a
Fix for bug 982549
 - Simplified regex to work with ruby 2.0 in Fedora 19
Comment 3 Qiushui Zhang 2013-07-09 23:22:16 EDT
On devenv_3470, this bug isn't integrated. But on devenv_3471, it is merged and working well. "--" can be added now.

Mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.